.cms-element-image-slider {
	.image-slider {
		.tns-nav {
			@include media-breakpoint-up(lg) {
				margin: 30px 0;
			}
			button {
				background-color: transparent;
				border: 2px solid $body-color;
				padding: 5px;
				&.tns-nav-active {
					background-color: $body-color;
				}
			}
		}
		.image-slider-item-container {
			.image-slider-item-content {
				position: absolute;
				top:0;
				left: 0;
				height: 100%;
				width: 50%;
				display: flex;
				align-items: center;
				flex-direction: row;
				justify-content: center;
			}
		}
		
		.image-slider-controls-container {
			position: absolute;
			bottom: 3rem;
			right: 5rem;
			z-index: 5000;
			&:focus {
				outline: none;
			}
			.base-slider-controls {
				display: flex;
				width: 122px;
				height: 51px;
				button {
					opacity: 1;
					background-color: $white;
					border-color: $white;
					border-radius: 100%;
					width: 51px;
					height: 51px;
					line-height: 51px;
					box-shadow: 0px 0px 4px 2px rgba(112, 112, 112, .3);
					flex: 0 0 auto;
					&:nth-child(1) {
						order: 2;
						margin-left: .3rem;
					}
				}
			}
		}
	}
}
.cms-section {
	.cms-block.cms-block-image-text {
		&.bg-info, &.bg-success {
			background-color: rgba($info,.15) !important;
			background: url('#{$asset-path}/logo-anschnitt-bg.svg') no-repeat;
			background-size: contain;
			.cms-element-text {
				p {
					color: $gray-600;
					font-size: $h5-font-size;
					&:first-of-type {
						text-transform: uppercase;
						color: $primary;
						margin-bottom: 1.5rem;
					}
					
				}
				h2 {
					color: $body-color;
					//font-size: 48px;
					line-height: 3.2rem;
					margin-bottom: 1.3rem;
				}
				.btn {
					margin-top: 1.3rem;
					color: $body-color;
					padding: 13px 30px;
					font-size: $h4-font-size;
					font-weight: $font-weight-normal;
				}
			}
		}
		&.bg-success {
			background-color: rgba($success,.15) !important;
		}
	}
	&.bg-success-verlauf {
		background: transparent linear-gradient(27deg, rgba($success,.6) 0%, rgba(lighten($success,15%),.6) 100%) 0% 0% no-repeat padding-box;
	}
	.cms-element-text {
		.align-self-center {
			width: 100%;
		}
	}
	.cms-element-product-box {
		/*
		.product-box {
			border:none;
			.product-image-wrapper {
				position: relative;
				.product-badge {
					background-color: $white;
					padding: 4px 13px;
					text-transform:uppercase;
					position: absolute;
					top: 1rem;
					left: 1rem;
					font-size: 12px;
				}
			}
			.product-info {
				text-align: center;
				.product-name {
					font-size: 24px;
					letter-spacing: 1.3px;
					font-family: 'Matamata Regular',$headings-font-family;
					height:auto;
					line-height: 33px;
				}
				.product-description {
					font-size: 17px;
					color: $gray-600;
					line-height: 26px;
				}
				.product-action {
					padding: 0;
					.buy-widget {
						display: flex;
						align-items: stretch;
						flex-direction: column;
						@include media-breakpoint-up(lg) {
							flex-direction: row;
						}
						
					}
					.btn-buy, .btn-light {
							font-size: 20px;
							font-weight: $font-weight-normal;
							box-shadow: 0px 3px 6px rgba(0,0,0,0.2);
							background-color: $sw-color-buy-button;
							color: $white;
							padding: .8rem .3rem;
							display: flex;
							justify-content: center;
							border: none;
							span {
								font-size: 15px;
								color: rgba($white,.7);
								margin-right: .4rem;
							}
							@include media-breakpoint-up(lg) {
								font-size: 17px;
							}
						}
						.btn-buy {
							margin-top: 1rem;
							@include media-breakpoint-up(lg) {
								margin-left: .5rem;
								margin-top: 0;
							}
						}
						a.btn.btn-light {
							@include media-breakpoint-up(lg) {
								margin-right: .5rem;
							}
						}
				}
			}
		}*/
	}
	&.benefit {
		background: transparent linear-gradient(17deg, #E6F4FF 0%, #F2FBFF 100%) 0% 0% no-repeat padding-box;
	}
	
	.cms-block-benefit-element {
		.cms-block-benefit-element {
			margin-bottom: 1rem;
			&:last-child {
				margin-bottom: 0;
			}
			@include media-breakpoint-up(xl) {
				margin-bottom: 0;
			}
			.benefit-wrap {
				background-color: $white;
				border-radius: $border-radius-lg;
				font-size: 15px;
				font-weight: $font-weight-bold;
			}
		}
	}
	
	.cms-block-icon-text-element,
	.cms-block-icon-content-element {
		.icon {
			$icon-width:80px;
			//padding: 14px;
			border: 1px solid rgba($primary,.3);
			border-radius: 100%;
			margin: 0 auto 1.5rem auto;
			width: $icon-width;
			height: $icon-width;
			display: flex;
			align-items: center;
			justify-content: center;
			align-content: center;
			svg {
				top: 0;
				width: auto;
				height: 50%;
			}
		}
		h2 {
			line-height: 40px;
			margin-bottom: 1.5rem;
			font-weight: $font-weight-normal;
			
			@include media-breakpoint-up(md) {
				//font-size: $h2-font-size;
				line-height: 60px;
			}
		}
		p {
			color: $primary;
			font-size: 1rem;
			font-weight: $font-weight-normal;
			font-size: 16px;
			span {
				color: $success;
				&:nth-child(1) {
					font-size: 24px;
				}
				&:nth-child(2) {
					vertical-align: super;
				}
			}
		}
		.images {
			img {
				margin-right: -13px;
				border: 3px solid $white;
				width: 44px;
				height: auto;
				&:last-child {
					margin-right: 0;
				}
			}
		}
	}
	
	.cms-block-image-slider-element {
		position: relative;
		.image-slider {
			.swiper-container {
				.swiper-wrapper {
					.swiper-slide {
						position: relative;
						display: inline-flex;
						flex-direction: column;
						&--active {
							.swiper-slide-content {
								//opacity: 1;
							}
						}
					}
					.swiper-slide-content {
						order: 2;
						background-color:rgba($primary,.3);
						//opacity: 0;
						@include media-breakpoint-up(lg) {
							position: absolute;
							top: 50%;
							transform: translateY(-50%);
							left: 6vw;
							width: 40vw;
							background-color: transparent;
							display: block;
							z-index: 30;
						}
						p {
							color: $primary;
							text-transform: uppercase;
							letter-spacing: 1.4px;
							font-size: 14px;
						}
						h2 {
							line-height: 40px;
							
							@include media-breakpoint-up(md) {
								font-size: calc($h2-font-size + 10px);
								line-height: 60px;
							}
						}
						a {
							font-weight: $font-weight-normal;
							font-size: 1rem;
							padding: 10px 30px;
						}
					}
					.swiper-slide-image {
						position: relative;
						z-index: 20;
						img {
							width: 100%;
							object-fit: cover;
							display: block;
						}
					}
				}
			}
			.glide__arrows {
				position: absolute;
				bottom: 0;
				right: 100px;
				margin-bottom: 40px;
				display: none;
				z-index: 3000;
				@include media-breakpoint-up(lg) {
					display: block;
				}
				.swiper-button-prev,
				.swiper-button-next {
					position: relative;
					width: 51px;
					height: 51px;
					margin-right: .6rem;
					box-shadow: 0px 0px 4px 2px rgba(112, 112, 112, .3);
					background-color: $white;
					display: inline-flex;
					align-items: center;
					justify-content: center;
					.icon {
						//width: 30px;
						//height: 30px;
						> svg {
							top: 0;
						}
					}
				}
				.swiper-button-next {
					margin-right: 0;
				}
			}
			.swiper-pagination {
				position: absolute;
				bottom: 0;
				left: 0;
				text-align: center;
				width: 100vw;
				display: none;
				z-index: 2800;
				@include media-breakpoint-up(lg) {
					margin-bottom: 20px;
					display: block;
				}
				
				.swiper-pagination-bullet {
					background-color: transparent;
					border: 2px solid $body-color;
					padding: 5px;
					margin-right: 1rem;
					width: 12px;
					height: 12px;
					border-radius: 100%;
					display: inline-block;
					&-active {
						background-color: $body-color;
					}
					&:last-child {
						margin-right: 0;
					}
				}
			}
		}
	}
	// Referenzen Slider
	.cms-block-referenz-slider-element {
		background: transparent  linear-gradient(38deg, #E6F4FF 0%, #F2FBFF 100%) 0% 0% no-repeat padding-box ;
		position: relative;
		&:after {
			background-image: url('#{$asset-path}/logo_anschnitt_referenzen.png');
			background-size: contain;
			position: absolute;
			right: 0px;
			top: 0;
			//z-index: 2000;
			width: 100%;
			height: 100%;
			background-repeat: no-repeat;
			background-position: right;
			content: "";
		}
		.referenzen-wrapper {
			
			position: relative;
			.swiper-container {
				.swiper-wrapper {
					.swiper-slide {
						position: relative;
						display: inline-flex;
						flex-direction: column;
						justify-content: center;
						align-items: center;
						&--active {
							.swiper-slide-content {
								//opacity: 1;
							}
						}
					}
					.swiper-slide-content {
						@include media-breakpoint-up(xl) {
							width: 50vw;
						}
						p {
							color: $body-color;
							letter-spacing: 1.4px;
							font-size: 14px;
							font-weight: $font-weight-bold;
							span {
								font-size: 10px;
								font-weight: $font-weight-normal;
								text-transform: uppercase;
							}
						}
						h2 {
							line-height: 40px;
							text-align: center;
							@include media-breakpoint-up(md) {
								font-size: calc($h2-font-size + 10px);
								line-height: 60px;
							}
						}
					}
					/*
					.swiper-slide-image {
						position: relative;
						z-index: 20;
						img {
							width: 100%;
							object-fit: cover;
							display: block;
						}
					}
					*/
				}
			}
			.glide__arrows {
				display: none;
				@include media-breakpoint-up(lg) {
					position: absolute;
					top: 0;
					left: 0;
					display: flex;
					justify-content: space-between;
					align-items: center;
					padding: 0 2rem;
					width: 100%;
					height: 100%;
					z-index: 3000;
				}
				.swiper-button-prev,
				.swiper-button-next {
					position: relative;
					width: 51px;
					height: 51px;
					box-shadow: 0px 0px 4px 2px rgba(112, 112, 112, .3);
					background-color: $white;
					display: inline-flex;
					align-items: center;
					justify-content: center;
					.icon {
						//width: 30px;
						//height: 30px;
						> svg {
							top: 0;
						}
					}
				}
			}
			.glide__bullets {
				position: absolute;
				bottom: 0;
				left: 0;
				text-align: center;
				width: 100vw;
				display: none;
				@include media-breakpoint-up(lg) {
					margin-bottom: 40px;
					display: block;
				}
				
				.glide__bullet {
					background-color: transparent;
					border: 2px solid $body-color;
					padding: 5px;
					margin-right: 1rem;
					&--active {
						background-color: $body-color;
					}
					&:last-child {
						margin-right: 0;
					}
				}
			}
		}
	}
	.cms-block-banner-element {
		position: relative;
		&:after {
			background-image: url('#{$asset-path}/logo_anschnitt_referenzen.png');
			background-size: cover;
			position: absolute;
			right: 0px;
			top: 0;
			z-index: -1;
			width: 100%;
			height: 100%;
			background-repeat: no-repeat;
			background-position: right;
			content: "";
			@include media-breakpoint-up(sm) {
				background-size: contain;
			}
		}
		background: transparent linear-gradient(27deg, rgba(#CDEBAB, .6) 0%, rgba(#E7FFCC, .6) 100%) 0% 0% no-repeat padding-box;
		p {
			color: $gray-600;
		}
		a.btn {
			padding: 0.625rem 1.875rem;
			font-size: 1rem;
		}
		.images {
			position: relative;
		}
		img {
			width: 100%;
			height: auto;
			@include media-breakpoint-up(md) {
				position: absolute;
				height: 100%;
				width: auto;
				&:nth-child(1) {
					right: 20vw;
					z-index: 60;
				}
				&:nth-child(2) {
					right: 0;
					z-index:50;
				}
			}
		}
	}
}